Controllers/BannerSettingsController.cs
using GameDistribution.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace GameDistribution.Controllers
{
    [Authorize(Roles = "SuperAdmin,Admin")]
    public class BannerSettingsController : Controller
    {
        GameDistributionEntitiesDataContext context = new GameDistributionEntitiesDataContext();

        public ActionResult Index()
        {
            return View();
        }

        [HttpGet]
        public JsonResult Get(string sortdatafield, string sortorder, int pagesize, int pagenum)
        {
            var query = Request.QueryString;
            var items = context.ExecuteQuery<view_BannerSetting>(Utils.Utils.BuildQuery(query, "select * from view_BannerSettings")).OrderByDescending(g => g.AddedDate).ToList();
            IEnumerable<view_BannerSetting> bannerSettings = from banner in items
                                                             select new view_BannerSetting
                                                             {
                                                                 Id = banner.Id,
                                                                 UserId =banner.UserId,
                                                                 Title = banner.Title,
                                                                 GameMd5 = banner.GameMd5,
                                                                 Domain = banner.Domain,
                                                                 CompanyName = banner.CompanyName,
                                                                 AddedDate = banner.AddedDate,
                                                                 BannerEnable = banner.BannerEnable,
                                                                 PreRoll = banner.PreRoll,
                                                                 ShowAfterTime = banner.ShowAfterTime,
                                                                 Deleted = banner.Deleted
                                                             };

            var total = items.Count();
            bannerSettings = bannerSettings.Skip(pagesize * pagenum).Take(pagesize);
            if (sortdatafield != null && sortorder != "")
            {
                bannerSettings = Utils.Utils.SortOrders<view_BannerSetting>(bannerSettings, sortdatafield, sortorder);
            }
            var result = new
            {
                TotalRows = total,
                Rows = bannerSettings
            };
            return Json(result, JsonRequestBehavior.AllowGet);
        }

        [HttpGet]
        public ActionResult Edit(string id)
        {
            var item = context.ADM_GetBannerSettingByGameId(id).FirstOrDefault();
            var domainView = new DomainViewModel();

            domainView.GameId = item.GameMd5;
            domainView.Title = item.Title;
            domainView.PreRoll = item.PreRoll;
            domainView.BannerEnable = item.BannerEnable;
            domainView.ShowAfterTime = item.ShowAfterTime;

            return View(domainView);
        }


        [HttpPost]
        public ActionResult Update(DomainViewModel domainView)
        {
            context.ADM_UpdateBannerByGameId(domainView.GameId,
                                          domainView.BannerEnable == null ? false : domainView.BannerEnable,
                                          domainView.PreRoll == null ? false : domainView.PreRoll,
                                          domainView.ShowAfterTime == null ? 0 : domainView.ShowAfterTime);

            return View("index");
        }
    }
}

Views/BannerSettings/Edit.cshtml
@model GameDistribution.Models.DomainViewModel

@{
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="column" style="width:200px !important; margin-top:-15px;">
    @using (Html.BeginForm("Update", "BannerSettings"))
    {
        @Html.HiddenFor(model => model.GameId)

        //VGD-144
        <div style="margin-top:15px;">
            @Html.Label("Advertisements")
            <div class="clipboard">
                @Html.EditorFor(model => model.BannerEnable, new { htmlAttributes = new { @Id = "chkAdv" } })
                <button id="btnAdvId" onclick="ResetBySettingType(this)" type="button">Reset</button>
            </div>
        </div>
        <div style="margin-top:15px;">
            @Html.Label("Enable PreRoll")
            <div class="clipboard">
                @Html.EditorFor(model => model.PreRoll, new { htmlAttributes = new { @Id = "chkPreRoll" } })
                <button id="btnPreId" onclick="ResetBySettingType(this)" type="button">Reset</button>
            </div>
        </div>
        <div style="margin-top:15px;">
            @Html.Label("Advertisement request (minute)")
            <div class="clipboard">
                @Html.EditorFor(model => model.ShowAfterTime, new { htmlAttributes = new { @class = "form-control" } })
                <button id="btnTimeId" onclick="ResetBySettingType(this)" type="button">Reset</button>
            </div>
        </div>

        <div style="margin-top:15px;">
            <button type="submit" class="button active" style="text-align:center">Save</button>
        </div>
    }
</div>

<script>

    //VGD-144
    $(document).ready(function () {
        if ('@(Model.BannerEnable)' != "") { $("#chkAdv option:contains('Not Set')").remove() }
        if ('@(Model.PreRoll)' != "") { $("#chkPreRoll option:contains('Not Set')").remove() }

        function Confirmation(obj) {
            return confirm('The changes will be effect to all individual settings. Do you want to change settings?');
        }
    });

</script>

Views/BannerSettings/Index.cshtml
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

@section scripts {
    <script>

        $(document).ready(function () {
            var source =
                {
                    datafields:
                    [
                        { name: 'Id', type: 'number' },
                        { name: 'UserId', type: 'int' },
                        { name: 'Title', type: 'string' },
                        { name: 'CompanyName', type: 'string' },
                        { name: 'Domain', type: 'string' },
                        { name: 'GameMd5', type: 'string' },
                        { name: 'AddedDate', type: 'date' },
                        { name: 'BannerEnable', type: 'bool' },
                        { name: 'PreRoll', type: 'bool' },
                        { name: 'ShowAfterTime', type: 'int' },
                        { name: 'Deleted', type: 'int' }
                    ],
                    datatype: "json",
                    url: "/BannerSettings/Get",
                    filter: function () {
                        $("#jqxgrid").jqxGrid('updatebounddata', 'filter');
                    },
                    // update the grid and send a request to the server.
                    sort: function () {
                        $("#jqxgrid").jqxGrid('updatebounddata', 'sort');
                    },
                    root: "Rows",
                    beforeprocessing: function (data) {
                        source.totalrecords = data.TotalRows;
                    }
                };

            var dataAdapter = new $.jqx.dataAdapter(source);
            var isEditable = function (row) {
                return false;
            }
            var cellsrenderer = function (row, column, value, defaultSettings, columnproperties, rowdata) {
                if (rowdata.Deleted > 0) {
                    return '<div style="margin-top: 5px; margin-left: 15px; font-family: "Roboto", sans-serif !important;">' + value + '</div><div style="margin-left: 15px; font-size:11px; color: red;"> ' + rowdata.GameMd5 + '</div>';
                }
                else {
                    return '<div style="margin-top: 5px; margin-left: 15px; font-family: "Roboto", sans-serif !important;">' + value + '</div><div style="margin-left: 15px; font-size:11px; color: blue;"> ' + rowdata.GameMd5 + '</div>';
                }
            }

            var columnsrenderer = function (value) {
                return '<div style="text-align: center; margin-top:10px;"><b>' + value + '</b></div>';
            }

            $("#jqxgrid").jqxGrid(
                {
                    width: "100%",
                    height: 650,
                    rowsheight: 35,
                    source: dataAdapter,
                    showfilterrow: true,
                    editable: true,
                    filterable: true,
                    pageable: true,
                    sortable: true,
                    pagesize: 20,
                    autoheight: true,
                    selectionmode: 'multiplecellsextended',
                    enablebrowserselection: true,
                    virtualmode: true,
                    rendergridrows: function (obj) {
                        return obj.data;
                    },
                    columns:
                    [
                        { text: 'Id', datafield: 'Id', filtertype: 'textbox', renderer: columnsrenderer, hidden: true },
                        { text: 'GameMd5', datafield: 'GameMd5', filtertype: 'textbox', renderer: columnsrenderer, hidden: true },
                        { text: 'User Id', datafield: 'UserId', filtertype: 'textbox', renderer: columnsrenderer, width: "5%", editable: false },
                        { text: 'Partner', datafield: 'CompanyName', filtertype: 'textbox', renderer: columnsrenderer, width: "13%", editable: false },
                        { text: 'Domain', datafield: 'Domain', filtertype: 'textbox', renderer: columnsrenderer, width: "17%", editable: false },
                        { text: 'Title', datafield: 'Title', filtertype: 'textbox', width: '19%', renderer: columnsrenderer, cellsrenderer: cellsrenderer, sortable: true, editable: false },
                        { text: 'Added Date', datafield: 'AddedDate', filtertype: 'date', renderer: columnsrenderer, width: "10%", cellsalign: 'center', sortable: true, cellsformat: 'dd/MM/yyyy', editable: false },
                        { text: 'Banner', datafield: 'BannerEnable', filtertype: 'textbox', renderer: columnsrenderer, width: "7%", cellsalign: 'center', editable: false },
                        { text: 'Pre Roll', datafield: 'PreRoll', filtertype: 'textbox', renderer: columnsrenderer, width: "7%", cellsalign: 'center', editable: false },
                        { text: 'Time (Min)', datafield: 'ShowAfterTime', filtertype: 'textbox', renderer: columnsrenderer, width: "10%", cellsalign: 'center', editable: false },
                        { text: 'Deleted', datafield: 'Deleted', filtertype: 'textbox', renderer: columnsrenderer, width: "6%", editable: false },
                        {
                             text: 'Edit', datafield: 'Edit', columntype: 'button', width: '6%', filterable: false, renderer: columnsrenderer, cellsrenderer: function (row, rowdata) {
                                 if ($("#jqxgrid").jqxGrid('getcellvalue', row, "Deleted") == 2) {
                                     return "Deleted";
                                 }
                                 else {
                                     return "Edit";
                                 }
                             }
                            , buttonclick: function (row, rowdata) {
                                 if ($("#jqxgrid").jqxGrid('getcellvalue', row, "Deleted") != 2) {
                                     editrowindex = row;
                                     var id = $("#jqxgrid").jqxGrid('getcellvalue', row, "GameMd5");
                                     window.location = '/BannerSettings/Edit/' + id;
                                 }
                             }
                         },
                    ]
                });
        });
    </script>
}

<div class="column">
    <div class="menu" style="text-align:left; color:black">
        <h2 style="width:100%; margin-left: 0 auto; margin-right:0 auto;">Banner Settings</h2>
        <div id="jqxgrid" style="width: 100% !important; margin-top:-20px;"></div>
        <div id="ordersGrid" style="width: 100% !important;"></div>
    </div>
</div>